org.apache.fop.fonts

## Class SingleByteFont.UnencodedCharacter

- java.lang.Object
- - org.apache.fop.fonts.SingleByteFont.UnencodedCharacter

Enclosing class:
  SingleByteFont

    protected static final class SingleByteFont.UnencodedCharacter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`UnencodedCharacter(NamedCharacter character, int width, Rectangle bbox)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Rectangle` `getBBox()`
`NamedCharacter` `getCharacter()`
`int` `getWidth()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnencodedCharacter

    public UnencodedCharacter(NamedCharacter character,
                              int width,
                              Rectangle bbox)

### Method Detail

#### getCharacter

    public NamedCharacter getCharacter()

#### getWidth

    public int getWidth()

#### getBBox

    public Rectangle getBBox()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`